Skip to main content
GET
/
v0
/
billingSchedules
List billing schedules
curl --request GET \
  --url https://api.paygentic.io/v0/billingSchedules \
  --header 'Authorization: Bearer <token>'
import requests

url = "https://api.paygentic.io/v0/billingSchedules"

headers = {"Authorization": "Bearer <token>"}

response = requests.get(url, headers=headers)

print(response.text)
const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};

fetch('https://api.paygentic.io/v0/billingSchedules', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));


{
  "object": "list",
  "data": [
    {
      "id": "<string>",
      "object": "billing_schedule",
      "merchantId": "<string>",
      "startDate": "2023-11-07T05:31:56Z",
      "endDate": "2023-11-07T05:31:56Z",
      "billingAnchor": "2023-11-07T05:31:56Z",
      "customPeriodWindows": [
        "<unknown>"
      ],
      "metadata": {},
      "createdAt": "2023-11-07T05:31:56Z",
      "updatedAt": "2023-11-07T05:31:56Z",
      "orderId": "<string>",
      "subscriptionId": "<string>",
      "paymentTermDays": 123,
      "deletedAt": "2023-11-07T05:31:56Z"
    }
  ],
  "pagination": {
    "limit": 123,
    "offset": 123,
    "total": 123
  }
}
{
"message": "The requested resource was not found",
"error": "not_found"
}
{
"message": "The requested resource was not found",
"error": "not_found"
}
{
"message": "The requested resource was not found",
"error": "not_found"
}
{
"message": "The requested resource was not found",
"error": "not_found"
}
{
"message": "The requested resource was not found",
"error": "not_found"
}

Authorizations

Authorization
string
header
required

API key authentication

Query Parameters

orderId
string

Filter by owning order (XOR with subscriptionId)

subscriptionId
string

Filter by owning subscription (XOR with orderId)

Response

List of billing schedules

object
enum<string>
required
Available options:
list
data
object[]
required
pagination
object
required

Offset-based pagination response.